## kbd-chooser 1.45

=== Makefile ===

ifdef DEBUG
DEB_BUILD_OPTIONS := debug:$(DEB_BUILD_OPTIONS)
endif

CFLAGS := -Wall  -I.
ARCH := $(shell dpkg --print-architecture)

OBJS := loadkeys.o findfile.o ksyms.o  getfd.o

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g  -DDEBUG=1
OBJS += xmalloc.o
STRIP= /bin/true
else
CFLAGS +=  -DNDEBUG=1 -fomit-frame-pointer -Os
STRIPTOOL=strip
STRIP= $(STRIPTOOL) --remove-section=.note --remove-section=.comment
endif

LDOPTS=  -ldebconfclient -ldebian-installer

ifeq ($(ARCH),alpha)
CFLAGS += -DAT_KBD  -DUSB_KBD
KEYBOARDS := at usb
endif
ifeq ($(ARCH),i386)
CFLAGS += -DAT_KBD  -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),amd64)
CFLAGS += -DAT_KBD  -DUSB_KBD
KEYBOARDS := at usb
endif
ifeq ($(ARCH),ia64)
CFLAGS += -DAT_KBD  -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),mips)
CFLAGS += -DAT_KBD -DUSB_KBD
KEYBOARDS := at usb
endif
ifeq ($(ARCH),mipsel)
CFLAGS += -DAT_KBD -DUSB_KBD -DDEC_KBD
KEYBOARDS := at usb dec
endif
ifeq ($(ARCH),sparc)
CFLAGS += -DAT_KBD -DSPARC_KBD -DUSB_KBD 
KEYBOARDS := at usb sparc
endif
ifeq ($(ARCH),powerpc)
CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD -DMAC_KBD
KEYBOARDS := at usb amiga mac
endif
ifeq ($(ARCH),ppc64)
CFLAGS +=  -DUSB_KBD -DAT_KBD -DMAC_KBD
KEYBOARDS := at usb mac
endif
ifeq ($(ARCH),arm)
CFLAGS +=  -DAT_KBD -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),armel)
CFLAGS +=  -DAT_KBD -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),armeb)
CFLAGS +=  -DAT_KBD -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),m68k)
CFLAGS += -DAMIGA_KBD -DATARI_KBD -DMAC_KBD -DAT_KBD -DSPARC_KBD -D__m68k__
KEYBOARDS := amiga atari mac at sparc
endif
# For the moment, don't include HIL keyboards
ifeq ($(ARCH),hppa)
CFLAGS += -DAT_KBD -DUSB_KBD
KEYBOARDS := at usb
endif

TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))

all: kbd-chooser kbd-mode debian/kbd-chooser.templates

kbd-chooser: ${OBJS} kbd-chooser.c
	$(CC) $(CFLAGS) kbd-chooser.c -o $@ $(OBJS) $(LDOPTS)
	$(STRIP) $@

kbd-mode: getfd.o kbd-mode.c
	$(CC) $(CFLAGS) kbd-mode.c -o $@ getfd.o $(LDOPTS)
	$(STRIP) $@

debian/kbd-chooser.templates:  $(TEMPLATES)
	cat $(TEMPLATES) >  $@
	# give the new templates file the same mtime as the input file, so
	# that po2debconf doesn't decide that it needs to run
	# debconf-updatepo
	touch -mr debian/kbd-chooser.templates-in $@
	
loadkeys.o:     loadkeys.c analyze.c

clean:
	rm -f *~ *.o kbd-mode kbd-chooser analyze.c loadkeys.c demo demo.templates *#
	rm -f debian/kbd-chooser.templates

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp kbd-chooser $(DESTDIR)/usr/bin/kbd-chooser
	cp kbd-mode $(DESTDIR)/usr/bin/kbd-mode

.PHONY: demo
demo.templates: debian/kbd-chooser.templates
	po2debconf $< > $@

demo: demo.templates kbd-chooser
	rm -f demo
	ln -s kbd-chooser demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo
	rm -f demo.templates demo

=== debian/changelog ===
kbd-chooser (1.45) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:07:56 -0300

kbd-chooser (1.44) unstable; urgency=low

  [ Frans Pop ]
  * Remove incorrect space before ellipses.
  * Remove Alastair McKinstry and Matt Kraai as Uploaders with many thanks for
    their past contributions.
  * Avoid locale errors from perl from post-base-installer script.

  [ Jérémy Bobbio ]
  * Fix mispositioned arguments in the PLAIN rule in loadkeys.
  * Add support for parsing "CapsShift" in keymaps.  (Closes: #490611)
  * Update symbol tables to the one found in kbd 1.14.1.
  * Merge unicode handling from kbd 1.14.1.
  * Work around DirectFB setting the keyboard mode to K_MEDIUMRAW, thus
    preventing full unicode keymaps to be installed when using the graphical
    installer.  (Closes: #490610)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 23 Jul 2008 21:22:08 +0000

kbd-chooser (1.43) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Latvian (lv.po) by Viesturs Zarins
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:18:38 -0200

kbd-chooser (1.42) unstable; urgency=low

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi
  * Amharic (am.po) by tegegne tefera

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:25:45 +0100

kbd-chooser (1.41) unstable; urgency=low

  * Fix keymap/policy question preseeding quoting and set question type.
    Because of this syntax error console-data wasn't being installed in
    /target.

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Dec 2007 18:33:30 -0200

kbd-chooser (1.40) unstable; urgency=low

  * Implement better solution as discussed on the debian-boot list to avoid
    console-data displaying its keymap/policy question by setting its "seen"
    flag. Reverts the change in 1.39.

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Frans Pop <fjp@debian.org>  Wed, 19 Dec 2007 09:40:40 +0100

kbd-chooser (1.39) unstable; urgency=low

  * After recent changes in apt-install, we need to tell console-data not to
    display its keymap/policy question when it is being installed during a D-I
    installation. console-data (>= 2:1.04-2) will check for the existence of
    the file /tmp/debian-installer/keymap-policy-default to suppress the
    question; create that file in /target before calling apt-install.
    The temporary directory will be removed during finish-install (95umount).
    Closes: #456029.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Malayalam (ml.po) by Praveen|???????? A|?
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Sat, 15 Dec 2007 18:27:01 +0100

kbd-chooser (1.38) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Clean up devfs-style device names in getfd.c.

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  
 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:33:20 -0300

kbd-chooser (1.37) unstable; urgency=high

  * Work around !i386 FTBFS caused by #434040, by manually including
    features.h before kernel headers.
  * High priority since it's breaking the d-i dailys.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Aug 2007 01:30:40 -0400

kbd-chooser (1.36) unstable; urgency=low

  [ Colin Watson ]
  * Exec kbd-chooser from the postinst to save a process.

  [ Otavio Salvador ]
  * Provides keyboard-setup virtual package.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2007 08:42:25 +0200

kbd-chooser (1.35) unstable; urgency=low

  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:36:51 -0400

=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/kbd-chooser

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb m68k powerpc ppc64 amd64
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=kbd-chooser

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kbd-chooser
	install -m0755 debian/post-base-installer debian/$(PACKAGE)/usr/lib/post-base-installer.d/20kbd-chooser
	install -m0644 debian/S55kbd-chooser debian/$(PACKAGE)/lib/debian-installer.d/S55kbd-chooser

binary-indep: 

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	cp debian/kbd-chooser.isinstallable debian/kbd-chooser/DEBIAN/isinstallable
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kbd-chooser 1.60

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 endif
 
 CFLAGS := -Wall  -I.
-ARCH := $(shell dpkg --print-architecture)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 OBJS := loadkeys.o findfile.o ksyms.o  getfd.o
 
@@ -20,62 +20,66 @@
 
 LDOPTS=  -ldebconfclient -ldebian-installer
 
-ifeq ($(ARCH),alpha)
+ifeq ($(DEB_HOST_ARCH),alpha)
 CFLAGS += -DAT_KBD  -DUSB_KBD
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),i386)
+ifeq ($(DEB_HOST_ARCH),i386)
 CFLAGS += -DAT_KBD  -DUSB_KBD 
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),amd64)
+ifeq ($(DEB_HOST_ARCH),amd64)
 CFLAGS += -DAT_KBD  -DUSB_KBD
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),ia64)
+ifeq ($(DEB_HOST_ARCH),ia64)
 CFLAGS += -DAT_KBD  -DUSB_KBD 
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),mips)
+ifeq ($(DEB_HOST_ARCH),mips)
 CFLAGS += -DAT_KBD -DUSB_KBD
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),mipsel)
+ifeq ($(DEB_HOST_ARCH),mipsel)
 CFLAGS += -DAT_KBD -DUSB_KBD -DDEC_KBD
 KEYBOARDS := at usb dec
 endif
-ifeq ($(ARCH),sparc)
+ifeq ($(DEB_HOST_ARCH),sparc)
 CFLAGS += -DAT_KBD -DSPARC_KBD -DUSB_KBD 
 KEYBOARDS := at usb sparc
 endif
-ifeq ($(ARCH),powerpc)
+ifeq ($(DEB_HOST_ARCH),sparc64)
+CFLAGS += -DAT_KBD -DSPARC_KBD -DUSB_KBD 
+KEYBOARDS := at usb sparc
+endif
+ifeq ($(DEB_HOST_ARCH),powerpc)
 CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD -DMAC_KBD
 KEYBOARDS := at usb amiga mac
 endif
-ifeq ($(ARCH),ppc64)
-CFLAGS +=  -DUSB_KBD -DAT_KBD -DMAC_KBD
-KEYBOARDS := at usb mac
-endif
-ifeq ($(ARCH),arm)
+ifeq ($(DEB_HOST_ARCH),arm)
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),armel)
+ifeq ($(DEB_HOST_ARCH),armel)
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),armeb)
+ifeq ($(DEB_HOST_ARCH),armeb)
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
 KEYBOARDS := at usb
 endif
-ifeq ($(ARCH),m68k)
+ifeq ($(DEB_HOST_ARCH),m68k)
 CFLAGS += -DAMIGA_KBD -DATARI_KBD -DMAC_KBD -DAT_KBD -DSPARC_KBD -D__m68k__
 KEYBOARDS := amiga atari mac at sparc
 endif
 # For the moment, don't include HIL keyboards
-ifeq ($(ARCH),hppa)
+ifeq ($(DEB_HOST_ARCH),hppa)
 CFLAGS += -DAT_KBD -DUSB_KBD
 KEYBOARDS := at usb
+endif
+ifeq ($(DEB_HOST_ARCH),sh4)
+CFLAGS += -DUSB_KBD 
+KEYBOARDS := usb
 endif
 
 TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))

=== debian/changelog ===
kbd-chooser (1.60) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:55:58 -0200

kbd-chooser (1.59) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Icelandic (is.po) by Sveinn í Felli
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:07:33 -0200

kbd-chooser (1.58) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by acathur
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 13:56:44 +0200

kbd-chooser (1.57) unstable; urgency=low

  * Enable USB keyboards on sh4.
  * Enable AT, USB and SPARC keyboards on sparc64.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 May 2010 22:27:57 +0200

kbd-chooser (1.56) unstable; urgency=low

  * Add sh4 and sparc64 to the list of supported architectures.
    Closes: #547995.
  
  [ Updated translations ]
  * Asturian (ast.po) by astur
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 May 2010 08:45:43 +0200

kbd-chooser (1.55) unstable; urgency=low

  * Update isinstallable script for new auto-install framework.
    Requires preseed (>= 1.45).

  [ Updated translations ]
  * Danish (da.po) by Anders Jenbo

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 16:41:11 +0100

kbd-chooser (1.54) unstable; urgency=low

  * Ensure that kbd gets installed together with console-setup. Currently it
    is only recommended.
  * Install keyboard-configuration instead of console-setup on kfreebsd and
    hurd as those arches don't have kbd.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Thu, 18 Mar 2010 22:39:29 +0100

kbd-chooser (1.53) unstable; urgency=low

  * If the user selected "no keyboard" or "skip config", force keymap for
    keyboard-configuration to "us". This is the only real option currently as
    keyboard-configuration does not have a "keep kernel keymap" option.
    Closes: #559878.

  [ Updated translations ]
  * Galician (gl.po) by Marce Villarino

 -- Frans Pop <fjp@debian.org>  Tue, 08 Dec 2009 14:44:43 +0100

kbd-chooser (1.52) unstable; urgency=low

  * It's not actually necessary to set seen flags for keyboard-configuration.
    Now that the selected keymap gets propagated to the target environment,
    the package asks the question at medium instead of critical priority, and
    thus the question does not get displayed.
  * Standardize installation of run-parts directories at build time.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Nov 2009 23:42:54 +0100

kbd-chooser (1.51) unstable; urgency=low

  * There's no need to set debian-installer/locale in the target environment
    before installing console-setup as it can get the correct locale from
    the LC_* environment variables.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Nov 2009 15:18:29 +0100

kbd-chooser (1.50) unstable; urgency=low

  * Avoid display of keyboard-configuration debconf dialog when it is
    installed during post-base-installer.d by setting the seen flag.
  * Make sure debian-installer debconf variables needed by console-setup
    are available in the target environment before installing the package.

  [ Updated translations ]
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Mon, 16 Nov 2009 23:44:52 +0100

kbd-chooser (1.49) unstable; urgency=low

  [ Frans Pop ]
  * Makefile: change to using dpkg-architecture.
  * Remove no longer needed Lintian override for missing Standards-Version
    field.
  * Also try /sys/kernel/debug/usb/devices when detecting USB keyboards. As of
    2.6.31 the file /proc/bus/usb/devices may no longer exist. Closes: #534412.

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Estonian (et.po) by Mattias Põldaru
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu

 -- Frans Pop <fjp@debian.org>  Tue, 27 Oct 2009 22:15:12 +0100

kbd-chooser (1.48) unstable; urgency=low

  * Install console-setup instead of kbd and console-data but only in case
    we're not in a serial console. (Closes: #537872)

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 22 Jul 2009 07:48:23 -0300

kbd-chooser (1.47) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 17:37:55 +0200

kbd-chooser (1.46) unstable; urgency=low

  [ Philip Hands ]
  * check in isinstallable for the presence of /var/run/delay_choosers
    which will have been set by localchooser.isinstallable if required,
    and will be reset by the first preseed to succeed.

  [ Colin Watson ]
  * Install kbd rather than console-tools.
  * Don't ignore 'make clean' errors.

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Hindi (hi.po) by Kumar Appaiah


=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/kbd-chooser

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb m68k powerpc amd64 sh4 sparc64
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

## kbd-chooser 1.62

=== debian/changelog ===
kbd-chooser (1.62) unstable; urgency=low

  [ Hector Oron ]
  * Add AT and USB keyboard support for armhf.

  [ Jurij Smakov ]
  * Check for kernels higher or equal than 2.6 instead of equal to
    2.6 in usb-kbd.c and sparc-kbd.c to make sure that logic remains
    the same for 3.0 kernels.

 -- Jurij Smakov <jurij@debian.org>  Sun, 21 Aug 2011 18:19:04 +0100

kbd-chooser (1.61) unstable; urgency=low

  [ Konstantinos Margaritis ]
  * Added armhf in arch field. Closes: #604688.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Hector Oron <zumbi@debian.org>  Thu, 21 Apr 2011 13:38:13 +0100

=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Browser: http://git.debian.org/?p=d-i/kbd-chooser.git
Vcs-Git: git://git.debian.org/d-i/kbd-chooser.git

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb armhf m68k powerpc amd64 sh4 sparc64
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

## kbd-chooser 1.65

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,10 @@
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
 KEYBOARDS := at usb
 endif
+ifeq ($(DEB_HOST_ARCH),armhf)
+CFLAGS +=  -DAT_KBD -DUSB_KBD 
+KEYBOARDS := at usb
+endif
 ifeq ($(DEB_HOST_ARCH),m68k)
 CFLAGS += -DAMIGA_KBD -DATARI_KBD -DMAC_KBD -DAT_KBD -DSPARC_KBD -D__m68k__
 KEYBOARDS := amiga atari mac at sparc

=== debian/changelog ===
kbd-chooser (1.65) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control

  [ Updated translations ]
  * Asturian (ast.po) by ivarela

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2012 23:15:34 +0200

kbd-chooser (1.64) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 06:38:37 +0200

kbd-chooser (1.63) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Estonian (et.po) by Mattias Põldaru
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Prabodh C P
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po)
  * Ukrainian (uk.po) by Borys Yanovych
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 22:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,4 +13,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
 Provides: keyboard-setup
 Description: Detect a keyboard and select layout
-XC-Package-Type: udeb
+Package-Type: udeb

## kbd-chooser 1.68

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,14 @@
 CFLAGS += -DUSB_KBD 
 KEYBOARDS := usb
 endif
+ifeq ($(DEB_HOST_ARCH),arm64)
+CFLAGS +=  -DAT_KBD -DUSB_KBD 
+KEYBOARDS := at usb
+endif
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+CFLAGS +=  -DAT_KBD -DUSB_KBD 
+KEYBOARDS := at usb
+endif
 
 TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
 OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))

=== debian/changelog ===
kbd-chooser (1.68) unstable; urgency=medium

  * Add support for the arm64 and ppc64el architectures

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Aug 2014 16:55:04 -0700

kbd-chooser (1.67) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Colin Watson ]
  * Ignore umount failures in usb_parse_proc.
  * Explicitly ignore dup failures in usb_parse_proc; we can't usefully do
    much in response since if those fail we have no stderr.
  * Handle fgets failures.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:56:58 +0200

kbd-chooser (1.66) unstable; urgency=low

  [ Colin Watson ]
  * Fix various set/defined-but-not-used compiler warnings.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 May 2013 11:39:45 +0200

=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/kbd-chooser.git
Vcs-Git: git://anonscm.debian.org/d-i/kbd-chooser.git

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb armhf m68k powerpc amd64 sh4 sparc64 arm64 ppc64el
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
Package-Type: udeb

## kbd-chooser 1.70

=== debian/changelog ===
kbd-chooser (1.70) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add mips64el support.
  * Remove DEC keyboard support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 May 2016 15:25:24 +0200

kbd-chooser (1.69) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 05:52:51 +0100

=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/kbd-chooser.git
Vcs-Git: https://anonscm.debian.org/git/d-i/kbd-chooser.git

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel mips64el arm armel armeb armhf m68k powerpc amd64 sh4 sparc64 arm64 ppc64el
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
Package-Type: udeb

## kbd-chooser 1.71

=== Makefile ===
--- 
+++ 
@@ -41,8 +41,12 @@
 KEYBOARDS := at usb
 endif
 ifeq ($(DEB_HOST_ARCH),mipsel)
-CFLAGS += -DAT_KBD -DUSB_KBD -DDEC_KBD
-KEYBOARDS := at usb dec
+CFLAGS += -DAT_KBD -DUSB_KBD
+KEYBOARDS := at usb
+endif
+ifeq ($(DEB_HOST_ARCH),mips64el)
+CFLAGS += -DAT_KBD -DUSB_KBD
+KEYBOARDS := at usb
 endif
 ifeq ($(DEB_HOST_ARCH),sparc)
 CFLAGS += -DAT_KBD -DSPARC_KBD -DUSB_KBD

=== debian/changelog ===
kbd-chooser (1.71) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Aug 2018 18:35:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/kbd-chooser.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/kbd-chooser.git
+Vcs-Browser: https://salsa.debian.org/installer-team/kbd-chooser
+Vcs-Git: https://salsa.debian.org/installer-team/kbd-chooser.git
 
 Package: kbd-chooser
 Architecture: i386 ia64 hppa alpha sparc mips mipsel mips64el arm armel armeb armhf m68k powerpc amd64 sh4 sparc64 arm64 ppc64el
